<?php
	session_start();
	include('database.php');
	DB_connexion(); 
	
	if(!isset($_SESSION['logged']) )
	{		header ('Location: interdiction.php');
	}
	
	if($_SESSION['logged']== "no")
	{
		header ('Location: interdiction.php');
	}

/****************************************************************/	
	if(!empty($_POST) )
	{
		$_SESSION['sauvegarde_formulaire'] = $_POST ;
     
		$page_actuelle = $_SERVER['PHP_SELF'] ;
		if(!empty($_SERVER['QUERY_STRING']))
		{
			$page_actuelle .= '?' . $_SERVER['QUERY_STRING'] ;
		}
     
		header('Location: ' . $page_actuelle);
		exit;
	}
	
	if(isset($_SESSION['sauvegarde_formulaire']))
	{
		$_POST = $_SESSION['sauvegarde_formulaire'] ;
		unset($_SESSION['sauvegarde_formulaire']);		
	}	

/****************************************************************/		
	
	if( isset($_POST['valide_form']) && $_POST['valide_form'] == "ok" )
	{
		$elo = $_POST["elo"];
		$champ_nom = $_POST["nom"];
		$sql = " INSERT INTO classement ";
		$sql = $sql . " (joueur, elo ) VALUES ";
		$sql = $sql . " ('$champ_nom', '$elo') ";
		$result = mysql_query($sql);
		$_SESSION['message'] = "ok";
		
		$sql = "INSERT INTO elo_affectation (joueur, elo) VALUES ('$champ_nom','$elo')";
		$result = mysql_query($sql);
		/*					
		CREATE TABLE IF NOT EXISTS 'elo_affectation' 
		(
			'joueur' varchar(30) NOT NULL DEFAULT ,
			'elo' int(11) DEFAULT NULL
		) 					
		*/		

/*CREATE TABLE IF NOT EXISTS `elo_affectation` (
  `joueur` varchar(30) DEFAULT NULL,
  `elo` int(11) NOT NULL
)	
  */
	}
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr" dir="ltr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>

<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<link href="http://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel="stylesheet">
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script src="http://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>

<style type="text/css">
#bloc_ajouter_joueur { float: left;
					width: 831px; 
					padding: 50px 50px 25px 50px;
					}	
					
#navigation_tournoi{
					float: left;
					width: 910px; // 870
					padding: 10px 0px 0px 10px;
					text-align: center;
		}
					
					
label {
		display:block;
		float:left;
		width:100px;
	  }					
					
/*					
p {
  margin-top: 0px;
}
 
fieldset {
  margin-bottom: 15px;
  padding: 10px;
}
 
legend {
  padding: 0px 3px;
  font-weight: bold;
  font-variant: small-caps;
}
 
label {
  width: 110px;
  display: inline-block;
  vertical-align: top;
  margin: 6px;
}					
					
input[type=submit] {
  width: 150px;
  padding: 10px;
}					
		*/			
</style>

<script type="text/javascript">

function call_update()
{
	 //ajax_routine(); 
 	 scruter();
	 setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}
/**********************************************************/
function scruter()
{
				var xhr = getXhr()
				// On défini ce qu'on va faire quand on aura la réponse
				xhr.onreadystatechange = function()
				{
					// On ne fait quelque chose que si on a tout reçu et que le serveur est ok
					if(xhr.readyState == 4 && xhr.status == 200)
					{
						//alert(xhr.responseText);
						retour = xhr.responseText;
												
						if(retour == 0)
						{  	
							//alert("Tout le monde descend !");
							//document.location.href = "logout_expire.php";
							//document.location.href = "tournoi.php";
							
							$(function()
							{
									$( "#message_expiration" ).dialog({
									modal: true,
									title: "Infos",
									buttons: {
												Ok: function()
												{
													$( this ).dialog( "close" );
													 document.location.href = "logout_expire.php";
												}
											 }
										});
							});
							
							
						}
	
						
						
					}
				}
					
				xhr.open("GET","session_timeout.php",true);
				xhr.send(null);
}

/**********************************************************/

function verif_numerique(mot)
{
	var numExp = /^[0-9]+$/; 
	if(!mot.match(numExp))
	{ return false;
	}
	else {  return true;
		 }

}

/**********************************************************/

function verif_joueur(nom, item)
{
	
    if(nom.length  == '' )
    {
	   writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide !</span>', item);
	   return false;
	}

    else { 
	
				var check_alpha = verif_alphabet(nom);
	
				if(nom.length < 3)
				  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Nom trop court</span>' , item);
					return false;
				  }
				if(nom.length > 20)
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	 Nom trop long</span>' , item);
					  return false;
				    }
					
				if(nom.length > 3 && nom.length < 20)
				{	
					if(check_alpha == false)
					{ writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">     Doit contenir uniquement des lettres</span>', item);
					  return false;
				    }
				
					if(check_alpha == true)
					{ 
						  texte = file('check_joueur.php?nom='+escape(nom))
						  
						  if(texte == 1)
							  {	writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">    Déjà inscrit dans DB</span>' , item);
								return false;
							  }
						  if(texte == 2)
							{  writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">     Pas inscrit dans DB </span>' , item);
							   return true;
							}
					  
				    }
				

				}	
			
	}

}
/**********************************************************/
function verif_elo(mot, item)
{
    if(mot.length  == '' )
    {
	   writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Ce champ ne peut être vide !</span>', item);
       return false;
	}

    else 
	{ 
	
			var check = verif_numerique(mot);
			if(check == false)
				  {
  				    writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">		Uniquement des nombres!</span>' , item);
					return false;
				}
			else
			{
				val = parseInt(mot);
   
				if(val >= 1000 && val <= 1500 )
				{
					writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">	OK</span>', item);
					return true;	
				}
				else
				{
					writediv('<span style="color:#C21111"><img src="images/nonvalide.png" align="absmiddle">	Plage (800 à 1500)</span>', item);
					return false;	
				}
			
			}	
	
	}
	
}
/**********************************************************/

function valider_infos_joueur()
 {
	
	var check_nom = verif_joueur(form_ajouter_joueur.nom.value, 'statut_nom');
	var check_valeur = verif_elo(form_ajouter_joueur.elo.value, 'statut_elo');
	
	if(check_nom && check_valeur )
	{
	    //alert("OK pour l'inscription");
		document.getElementById('valide_form').value="ok";
		writediv('<span style="color:#2FAA2E"><img src="images/valide.png" align="absmiddle">    Enregistrement</span>' , 'statut_enregistrement');
        return true;
    }
	else
    {
	  document.getElementById('message_traitement').style.display = "none"; 
	  alert("Veuillez remplir correctement tous les champs");
      return false;
    }
	
 }

</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>
		

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
	
			<div class="barre_vide"></div>
			
			<div id="navigation_tournoi">
				<ul id="menu_horiz">
				<li class="tournoi_back_tag_selected"><a href="admin.php" title="Retour au menu admin">Retour</a></li>
				<!--<li class="tournoi_joueur_tag_selected"><a href="ajouter_joueur.php" title="aller à la section">Nouveau</a></li>-->
				<!--<li class="tournoi_partie_tag"><a href="partie.php" title="aller à la section">Partie</a></li>-->
				<!--<li class="tournoi_classement_tag"><a href="classement.php" title="aller à la section">classement</a></li>-->
				<!--<li class="tournoi_liste_joueurs_tag"><a href="liste_joueurs.php" title="aller à la section">Joueurs</a></li>-->
				<!--<li class="tournoi_stats_tag"><a href="historique.php" title="aller à la section">Historique</a></li>-->
				<!--<li class="tournoi_securite_tag"><a href="admin.php" title="aller à la section">Admin</a></li>-->
				</ul>
			</div>
			
			<div id="bloc_ajouter_joueur">
	
			<form method="post" id="form_ajouter_joueur" action="ajouter_joueur.php" onsubmit="return valider_infos_joueur(this)" > 

				<fieldset style="width: 600px">
				<legend>Ajouter un joueur </legend>
				<input type="hidden" name="valide_form" id="valide_form" value="" />
<p>
				<label for="nom">Nom:</label>
                <input id="nom" type="text" name="nom" onKeyUp="verif_joueur(this.value, 'statut_nom')">     <span id='statut_nom'></span> <br>
<p>

<p>
				<label for="nom">Elo:</label>
                <input id="elo" type="text" name="elo" value = "1000"  maxlength="4" onKeyUp="verif_elo(this.value, 'statut_elo')">  <span id='statut_elo'></span>    <br>
<p>
			
				<input id="send" name="send" type="submit" value="Enregistrer" />  <!-- <span id='statut_enregistrement'></span> -->
				<br>
				<br>
				  
				<div id="message_expiration" style="display: none">
				<p>
				<span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
				La session a expiré. veuillez vous reconnecter.
				</p>
				</div>  
				  
<?php
				if($_SESSION['message'] == "ok")
				{	echo '<div id="message_traitement" style="display:block">Inscription du joueur dans la base de donnée.</div>';
					$_SESSION['message'] = "none";
				}
?>						
				
				</fieldset>
			</form>
		
			</div>
		

			<br/>
			<br/>
			<br/>
			<br/>
			<br/>
           

<!---------------------------------------------------------->	
<?php			
    include('include_pied_page.php');
	include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update()
	</script>

</body>
</html>
